import fs from 'fs';

const Environment = { 
    initializeEnvironment(environmentFilePath = 'environment.json'){
        if(!process.env.ENVIRONMENT_BUILDED) {
            let environment = JSON.parse(fs.readFileSync('environment.json', 'utf-8'));
            Object.assign(process.env, environment);
            process.env.ENVIRONMENT_BUILDED = true;
        }
    }
}
const { initializeEnvironment } = Environment;
export {
    initializeEnvironment
};
export default Environment;